|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Object
|
+--com.opencms.template.A_CmsTemplate
|
+--com.opencms.template.CmsXmlTemplate
|
+--com.opencms.workplace.CmsWorkplaceDefault
|
+--com.opencms.workplace.CmsAdminGallery
This class provides some common functions and methods shared among all workplace gallery implementations.
| Field Summary |
| Fields inherited from class com.opencms.template.CmsXmlTemplate |
C_BODY_ELEMENT, C_DEBUG, C_FRAME_SELECTOR, m_cache |
| Fields inherited from interface com.opencms.boot.I_CmsLogChannels |
C_FLEX_CACHE, C_FLEX_LOADER, C_LOGGING, C_MODULE_CRITICAL, C_MODULE_DEBUG, C_MODULE_INFO, C_OPENCMS_CACHE, C_OPENCMS_CRITICAL, C_OPENCMS_CRONSCHEDULER, C_OPENCMS_DEBUG, C_OPENCMS_ELEMENTCACHE, C_OPENCMS_INFO, C_OPENCMS_INIT, C_OPENCMS_POOL, C_OPENCMS_STATICEXPORT, C_OPENCMS_STREAMING, C_PREPROCESSOR_IS_LOGGING |
| Constructor Summary | |
CmsAdminGallery()
|
|
| Method Summary | |
void |
getCustomizedColumnValues(CmsObject cms,
CmsXmlWpTemplateFile filelistTemplate,
CmsResource res,
CmsXmlLanguageFile lang)
This method builds the customized gallery file list. |
Vector |
getFiles(CmsObject cms)
Collect all folders and files that should be displayed in the list of galleries of this gallery type. |
abstract String |
getGalleryIconPath(CmsObject cms)
This method must return the path to the gallery icon. |
abstract String |
getGalleryPath()
This method must return the path to the gallery root folder. |
String |
getGalleryPath(CmsObject cms,
I_CmsSession session,
Hashtable parameters)
This methods looks up the folder information for the gallery. |
Integer |
getGroups(CmsObject cms,
CmsXmlLanguageFile lang,
Vector names,
Vector values,
Hashtable parameters)
Gets all groups for the select box in the "create a new gallery" dialog. |
String |
getInitial(I_CmsSession session,
Hashtable parameters)
This method checks if C_PARA_INITIAL is present with the requst parameters and clears the session variables if this it true, |
boolean |
isCacheable(CmsObject cms,
String templateFile,
String elementName,
Hashtable parameters,
String templateSelector)
This method is reuired by the XMLTemplate mechanism to indicate if the results of this class are cacheable. |
int |
modifyDisplayedColumns(CmsObject cms,
int prefs)
From interface I_CmsFileListUsers
Used to modify the bit pattern for hiding and showing columns in
the file list.
|
Object |
onLoad(CmsObject cms,
String tagcontent,
A_CmsXmlContent doc,
Object userObj)
This method is used in the gallery templates in the onLoad Javascript page handler. |
| Methods inherited from class com.opencms.workplace.CmsWorkplaceDefault |
bubblesort, checkJavaProperty, checkPort, doNotShow, getCacheDirectives, getConfigFile, getConstantSelectEntries, getFonts, getKey, getLastUrl, getOwnTemplateFile, isAdmin, isAdminFalse, isNotOnlineProject, isOnlineProject, isProjectManager, isStreamable, isTheAdminUser, picsUrl, resourcesUri, scriptsUri, startProcessing, userName |
| Methods inherited from class com.opencms.template.A_CmsTemplate |
debugPrint, isExportable, isProxyPrivateCacheable, isProxyPublicCacheable |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface com.opencms.template.I_CmsTemplate |
isExportable, isProxyPrivateCacheable, isProxyPublicCacheable |
| Constructor Detail |
public CmsAdminGallery()
| Method Detail |
public String getInitial(I_CmsSession session,
Hashtable parameters)
public String getGalleryPath(CmsObject cms,
I_CmsSession session,
Hashtable parameters)
cms - The current CmsObjectsession - The current sessionparameters - The current set of request parameters
public boolean isCacheable(CmsObject cms,
String templateFile,
String elementName,
Hashtable parameters,
String templateSelector)
isCacheable in interface I_CmsTemplateisCacheable in class CmsWorkplaceDefaultcms - CmsObject for accessing system resourcestemplateFile - Filename of the template fileelementName - Element name of this template in our parent templateparameters - Hashtable with all template class parameterstemplateSelector - template section that should be processed
public int modifyDisplayedColumns(CmsObject cms,
int prefs)
I_CmsFileListUsersUsed to modify the bit pattern for hiding and showing columns in the file list. This is usually the same for all galleries.
modifyDisplayedColumns in interface I_CmsFileListUserscms - CmsObject for accessing system resourcesprefs - Old bit pattern
I_CmsFileListUsers
public Integer getGroups(CmsObject cms,
CmsXmlLanguageFile lang,
Vector names,
Vector values,
Hashtable parameters)
throws CmsException
The given vectors names and values will
be filled with the appropriate information to be used for building
a select box.
This functionality is usually the same for all galleries.
cms - CmsObject for accessing system resourcesnames - Vector to be filled with the appropriate values in this methodvalues - Vector to be filled with the appropriate values in this methodparameters - Hashtable containing all user parameters (not used here).
CmsException - In case there were problems accessing the language resourcespublic abstract String getGalleryPath()
The root folder names are usually defined as constants in the I_CmsWpConstants interface.
I_CmsWpConstants
public Vector getFiles(CmsObject cms)
throws CmsException
getFiles in interface I_CmsFileListUserscms - The current CmsObject
CmsException - In case of trouble accessing the VFSI_CmsFileListUsers
public Object onLoad(CmsObject cms,
String tagcontent,
A_CmsXmlContent doc,
Object userObj)
throws CmsException
CmsException
public abstract String getGalleryIconPath(CmsObject cms)
throws CmsException
The gallery image is displayed in the list of available galleries.
cms - The current CmsObject
CmsException - In case of problem accessing system resources
public void getCustomizedColumnValues(CmsObject cms,
CmsXmlWpTemplateFile filelistTemplate,
CmsResource res,
CmsXmlLanguageFile lang)
throws CmsException
getCustomizedColumnValues in interface I_CmsFileListUserscms - CmsObject for accessing system resourcesres - CmsResource Object of the current file list entrylang - Current language file
CmsException - if access to system resources failed.I_CmsFileListUsers
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||